#
# spec file for package xspringi (Version 1.1)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xspringi
Release:      12
Copyright:    1991, 1992 Douglas M. DeCarlo
Group: 
Provides:     xspringies 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.1
Summary:      a mass and spring simulation system
Source: xspringies-1.1.tar.gz
Patch: xspringies-1.1.dif
%description
Xspringies is a simulator which allows you to interactively create and edit a
system of masses and springs.  The parameters of the masses and springs (such
as mass elasticity and spring K) as well as those of the surrounding system
(such as air viscosity and gravity) can be changed.
Several configuration files can be found in
/usr/X11R6/lib/X11/xspringies/ .

Authors:
--------
    Douglas M. DeCarlo <dmd@gradient.cis.upenn.edu>

%prep
%setup -n xspringies-1.1
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/doc/packages/xspringi
%dir /usr/lib/xspringies
/usr/X11R6/bin/xspringies
%doc /usr/X11R6/man/man1/xspringies.1x.gz
%doc /usr/doc/packages/xspringi/README
%doc /usr/doc/packages/xspringi/README.LUCS
/usr/lib/xspringies/2snake.xsp
/usr/lib/xspringies/2x2snake.xsp
/usr/lib/xspringies/3snake.xsp
/usr/lib/xspringies/4snake.xsp
/usr/lib/xspringies/9snake.xsp
/usr/lib/xspringies/ball.xsp
/usr/lib/xspringies/belt-loop.xsp
/usr/lib/xspringies/belt-tire.xsp
/usr/lib/xspringies/belt.xsp
/usr/lib/xspringies/bike.xsp
/usr/lib/xspringies/blanket.xsp
/usr/lib/xspringies/bridge.xsp
/usr/lib/xspringies/diamond-chain.xsp
/usr/lib/xspringies/hammer.xsp
/usr/lib/xspringies/hexball1.xsp
/usr/lib/xspringies/hexball2.xsp
/usr/lib/xspringies/hexball3.xsp
/usr/lib/xspringies/hexhexmesh.xsp
/usr/lib/xspringies/hexmesh.xsp
/usr/lib/xspringies/jello-buttress.xsp
/usr/lib/xspringies/jello-pend.xsp
/usr/lib/xspringies/jello.xsp
/usr/lib/xspringies/jello2.xsp
/usr/lib/xspringies/kalied-maker.xsp
/usr/lib/xspringies/kalied1.xsp
/usr/lib/xspringies/kalied2.xsp
/usr/lib/xspringies/lgrid.xsp
/usr/lib/xspringies/lissajous.xsp
/usr/lib/xspringies/mesh.xsp
/usr/lib/xspringies/nifty.xsp
/usr/lib/xspringies/nifty12.xsp
/usr/lib/xspringies/octanifty.xsp
/usr/lib/xspringies/pend.xsp
/usr/lib/xspringies/pendbees.xsp
/usr/lib/xspringies/pendwave.xsp
/usr/lib/xspringies/person1.xsp
/usr/lib/xspringies/person2.xsp
/usr/lib/xspringies/plane.xsp
/usr/lib/xspringies/psycho.xsp
/usr/lib/xspringies/serp.xsp
/usr/lib/xspringies/snake.xsp
/usr/lib/xspringies/square.xsp
/usr/lib/xspringies/stretchmesh.xsp
/usr/lib/xspringies/super-jello.xsp
/usr/lib/xspringies/tire.xsp
/usr/lib/xspringies/tri4.xsp
/usr/lib/xspringies/trimesh.xsp
/usr/lib/xspringies/urchin.xsp
/usr/lib/xspringies/wave.xsp
/usr/lib/xspringies/worm.xsp
/usr/lib/xspringies/xgrid.xsp
/usr/lib/xspringies/xtrimesh.xsp
/usr/lib/xspringies/zgrid.xsp
/usr/lib/xspringies/zharp.xsp
/usr/lib/xspringies/zharp2.xsp
/usr/lib/xspringies/zingy.xsp
/usr/lib/xspringies/zwave.xsp

